.header-button {
  display: flex;
  flex-direction: row;
  align-items: center;
  margin-left: 1rem;
  height: 28px;
  margin-top: 2px;
}
.header-segmented {
  margin-left: 1rem;
  background-color: var(--pr-input-bg-color);
}

.block-builder-ctn {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  top: 0;
  background-color: var(--pr-main-bg-color);
  transition: transform 0.2s ease-in;
  transform: translate3d(100%, 0, 0);
  max-height: 100%;
  overflow: auto;
}
.block-builder-ctn--visible {
  transform: translate3d(0, 0, 0);
}

.preview {
  &-ctn {
    display: flex;
    flex: 1;
    flex-direction: column;
    position: relative;
  }

  &-iframe {
    &-ctn {
      display: flex;
      flex: 1;
      flex-direction: column;
      align-items: center;
    }

    display: flex;
    flex: 1;
    height: 100%;
    margin-bottom: 3rem;

    &--full {
      width: 100%;
    }

    &--tablet,
    &--mobile {
      flex: unset;
      box-shadow: 0 0 1rem rgba(0, 0, 0, 0.2);
      max-height: calc(100% - 2rem);
      margin-top: 1rem;
    }
    &--tablet {
      width: 768px;
      max-height: 1024px;
    }
    &--mobile {
      width: 420px;
      max-height: 932px;
    }

    //${width === 'full' ? 'w-full' : ''} ${width === 'tablet' ? 'w-[800px] shadow-lg' : ''} ${width === 'mobile' ? 'w-[420px] shadow-lg' : ''}`}
  }

  &-tools {
    display: flex;
    flex-direction: row;
    position: absolute;
    bottom: 0;
    right: 0;
    left: 0;
  }
  &-toolbar {
    display: flex;
    flex-direction: row;
    order: 2;
    align-items: flex-end;
    justify-content: flex-end;

    padding: 0 1rem 1rem 0;
    z-index: 1;

    &-btn {
      margin: 0 0.5rem;
      font-size: 1.6rem;
      &--active {
        color: var(--pr-accent-color);
      }
    }
  }

  &-form {
    display: flex;
    flex-direction: column;
    order: 1;
    width: 100%;
  }
}
